Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Interface Savepoint

public interface Savepoint

The representation of a savepoint, which is a point within the current transaction that can be referenced from the `Connection.rollback` method. When a transaction is rolled back to a savepoint all changes made after that savepoint are undone.

Savepoints can be either named or unnamed. Unnamed savepoints are identified by an ID generated by the underlying data source.

Since:
  1.4

Method Summary
`int` | `getSavepointId()` Retrieves the generated ID for the savepoint that this `Savepoint` object represents.
`String` | `getSavepointName()` Retrieves the name of the savepoint that this `Savepoint` object represents.

Method Detail

### getSavepointId

    public int getSavepointId()
                       throws SQLException

  Retrieves the generated ID for the savepoint that this `Savepoint` object represents.

  Returns:
    the numeric ID of this savepoint
  Throws:
    `SQLException` - if this is a named savepoint
  Since:
    1.4

### getSavepointName

    public String getSavepointName()
                            throws SQLException

  Retrieves the name of the savepoint that this `Savepoint` object represents.

  Returns:
    the name of this savepoint
  Throws:
    `SQLException` - if this is an un-named savepoint
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.